<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>Login</title>
    <link rel="login icon" type="image/x-icon" href="squirrelicon.png" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js"
        integrity="sha384-SR1sx49pcuLnqZUnnPwx6FCym0wLsk5JZuNx2bPPENzswTNFaQU1RDvt3wT4gWFG"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js"
        integrity="sha384-j0CNLUeiqtyaRmlzUHCPZ+Gy5fQu0dQ6eZ/xAww941Ai1SxSY+0EQqNXNE6DZiVc"
        crossorigin="anonymous"></script>
    <link rel="stylesheet" type="text/css" href="login-page-styling.css">

    <!--navbar styling-->
    <link rel="stylesheet" type="text/css" href="navbar.css">
    <script>
        /* When the user scrolls down, hide the navbar. When the user scrolls up, show the navbar */
        var prevScrollpos = window.pageYOffset;
        window.onscroll = function () {
            var currentScrollPos = window.pageYOffset;
            if (prevScrollpos > currentScrollPos) {
                document.getElementById("navbar").style.top = "0";
            } else {
                document.getElementById("navbar").style.top = "-50px";
            }
            prevScrollpos = currentScrollPos;
        }
    </script>
    <!--navbar styling-->

    <!--parallax styling-->
    <style>
        .parallax {
          /* The image used */
         /* background-image: url("img_parallax.jpg");*/
        
          /* Set a specific height */
          min-height: 500px;
        
          /* Create the parallax scrolling effect */
          background-attachment: absolute;
          background-position: center;
          background-repeat: no-repeat;
          background-size: cover;
        }
        </style>
    <!--parallax styling-->

</head>

<body>
    <header>
        <!-- nav bar goes here-->
        <nav id="navbar">
            <a href="toy-shop-homepage.html">Home</a>
            <a href="inventory.html">Inventory</a>
            <a id="add-toy-nav-item" href="add-toy.html" hidden>Add Toys</a>
            <a id="delete-toy-nav-item" href="delete-toy.html" hidden>Delete Toys</a>
            <a id="update-toy-nav-item" href="update-toy.html" hidden>Update Toys</a>
            <a id="login-nav-item" href="login-page.html">Login</a>
            <a id="log-out-nav-item" href="login-page.html" hidden>Logout</a>
        </nav>
        <!-- nav bar goes here-->

    </header>

    <br>
    <br>

    <main class="parallax">
        <!-- login form -->
        <div class="bg-img">
            <form id="login-form" class="container">
                <h1>Login</h1>

                <label for="email"><b>Email</b></label>
                <input id="inputEmail" type="text" placeholder="Enter Email" name="email" required>

                <label for="psw"><b>Password</b></label>
                <input id="inputPassword" type="password" placeholder="Enter Password" name="psw" required>

                <button type="submit" class="btn">Login</button>
                
            </form>
        </div>
        <!--login form-->
    </main >

    <footer>
        <div hidden id="error-msg"><strong>Something went wrong</strong></div>
    </footer>

    <!--javascript resources-->
    <!--<script src="items-request.js"></script>-->
    <!--<script src="new-toy-item.js"></script>-->
    <script src="nav-items.js"></script>
    <script src="server-requests.js"></script>
    <script src="login.js"></script>
    <!--javascript resources-->

</body>

</html>